Subject: bug#68334: 29.1; tool-bar-make-keymap-1 does not work on terminals

From: Stefan Kangas <[email-masked]>
Date: Tue, 9 Jan 2024 10:39:05 -0800

Eli Zaretskii <[email-masked]> writes:

>> > Context:  I am writing a package that displays toolbars attached to an
>> > Emacs window instead of attached to the frame.  You can see the package
>> > at <https://github.com/chaosemer/window-tool-bar>.
>>
>> Shouldn't this be a feature in core Emacs?  I believe that we have
>> discussed that in the past.
>>
>> Eli, WDYT?
>
> I won't mind, if Jared thinks the package will be useful in enough
> situations or for enough packages.

I didn't intend to propose including the existing implementation as is,
which I hadn't looked closely at.  Having done that just now, it seems
like it's implemented on the tab bar, as Juri has pointed out.  I think
this is probably not the right thing for a feature in Emacs itself.

This feature would be most useful as a first class feature, but that
might require C changes.  My intention here is merely to ask if anyone
(perhaps Jared) would be interested in working on that.